diff --git a/bridges/bridge_softmix.c b/bridges/bridge_softmix.c
index 09218ce996..222dc18600 100644
--- a/bridges/bridge_softmix.c
+++ b/bridges/bridge_softmix.c
@@ -209,7 +209,7 @@ static void softmix_process_write_audio(struct softmix_translate_helper *trans_h
 
 	/* If we provided audio that was not determined to be silence,
 	 * then take it out while in slinear format. */
-	if (sc->have_audio && sc->talking && !sc->binaural) {
+	if (sc->have_audio && !sc->binaural) {
 		for (i = 0; i < sc->write_frame.samples; i++) {
 			ast_slinear_saturated_subtract(&sc->final_buf[i], &sc->our_buf[i]);
 		}
